# Uses of Interface
org.apache.qpid.proton.codec.Encoder

Packages that use Encoder
Package
Description
org.apache.qpid.proton.codec

## Uses of Encoder in org.apache.qpid.proton.codec

Subinterfaces of Encoder in org.apache.qpid.proton.codec
Modifier and Type
Interface
Description
`interface`
`ByteBufferEncoder`
Classes in org.apache.qpid.proton.codec that implement Encoder
Modifier and Type
Class
Description
`final class`
`EncoderImpl`
Methods in org.apache.qpid.proton.codec with parameters of type Encoder
Modifier and Type
Method
Description
`T`
Decoder.ListProcessor.`process(int count, Encoder encoder)`